Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class AbstractElementSelector

    java.lang.Object
      org.apache.batik.css.parser.AbstractElementSelector

All Implemented Interfaces:
  org.w3c.css.sac.ElementSelector, org.w3c.css.sac.Selector, org.w3c.css.sac.SimpleSelector

Direct Known Subclasses:
  DefaultElementSelector, DefaultPseudoElementSelector

    public abstract class AbstractElementSelector

extends Object
implements org.w3c.css.sac.ElementSelector

This class provides an abstract implementation of the `ElementSelector` interface.

Field Summary
`protected String` | `localName` The local name.
`protected String` | `namespaceURI` The namespace URI.

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Constructor Summary
`protected` | `AbstractElementSelector(String uri, String name)` Creates a new ElementSelector object.

Method Summary
`String` | `getLocalName()` SAC: Implements `ElementSelector.getLocalName()`.
`String` | `getNamespaceURI()` SAC: Implements `ElementSelector.getNamespaceURI()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Field Detail

### namespaceURI

    protected String namespaceURI

  The namespace URI.

### localName

    protected String localName

  The local name.

Constructor Detail

### AbstractElementSelector

    protected AbstractElementSelector(String uri,
                                      String name)

  Creates a new ElementSelector object.

Method Detail

### getNamespaceURI

    public String getNamespaceURI()

  SAC: Implements `ElementSelector.getNamespaceURI()`.

  Specified by:
    `getNamespaceURI` in interface `org.w3c.css.sac.ElementSelector`

### getLocalName

    public String getLocalName()

  SAC: Implements `ElementSelector.getLocalName()`.

  Specified by:
    `getLocalName` in interface `org.w3c.css.sac.ElementSelector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.